Package ru.bgcrm.model.process.queue.config

# Class PrintQueueConfig.PrintType

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.process.queue.config.PrintQueueConfig.PrintType

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

Enclosing class:
  `PrintQueueConfig`

public static class PrintQueueConfig.PrintType extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ORIENTATION_LANDSCAPE`
  `static final String`
  `ORIENTATION_PORTRAIT`
  `static final String`
  `TYPE_PDF`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getColumnIds()`
  `List<Integer>`
  `getColumnWidths()`
  `String`
  `getFileName()`
  `String`
  `getOrientation()`
  `String`
  `getType()`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### TYPE_PDF

    public static final String TYPE_PDF
    See Also:
      - Constant Field Values

  - ### ORIENTATION_PORTRAIT

    public static final String ORIENTATION_PORTRAIT
    See Also:
      - Constant Field Values

  - ### ORIENTATION_LANDSCAPE

    public static final String ORIENTATION_LANDSCAPE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getType

    public String getType()

  - ### getOrientation

    public String getOrientation()

  - ### getFileName

    public String getFileName()

  - ### getColumnIds

    public List<String> getColumnIds()

  - ### getColumnWidths

    public List<Integer> getColumnWidths()